Skip to content
Start here

Retrieves Security Center Insight Context

client.securityCenter.insights.context.get(stringissueId, ContextGetParams { account_id } params, RequestOptionsoptions?): ContextGetResponse
GET/accounts/{account_id}/security-center/insights/{issue_id}/context

Returns the full context payload for an insight. This endpoint is used for insights with large payloads that are not included inline in the list response.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
issueId: string
params: ContextGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
ContextGetResponse = Record<string, unknown>

Retrieves Security Center Insight Context

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const context = await client.securityCenter.insights.context.get('issue_id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(context);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "foo": "bar"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "foo": "bar"
  }
}